---
theme: AUTHELIA_THEME_PLACEHOLDER

default_2fa_method: ""

server:
  address: 'tcp://0.0.0.0:9091/'
  buffers:
    read: 4096
    write: 4096

log:
  level: info

# >>> libreportal-monitoring >>>
#telemetry:
#  metrics:
#    enabled: true
#    address: 'tcp://0.0.0.0:9959/'
# <<< libreportal-monitoring <<<

totp:
  disable: false
  issuer: AUTHELIA_DOMAIN_PLACEHOLDER
  algorithm: sha1
  digits: 6
  period: 30
  skew: 1

authentication_backend:
  password_reset:
    disable: false
  refresh_interval: 5m
  file:
    path: /config/users_database.yml
    watch: false
    search:
      email: false
      case_insensitive: false
    password:
      algorithm: argon2
      argon2:
        variant: argon2id
        iterations: 3
        memory: 65536
        parallelism: 4
        key_length: 32
        salt_length: 16

access_control:
  default_policy: one_factor

session:
  name: authelia_session
  expiration: 1h
  inactivity: 5m
  remember_me: 1M
  cookies:
    - name: authelia_session
      domain: AUTHELIA_DOMAIN_PLACEHOLDER
      authelia_url: https://AUTHELIA_HOST_PLACEHOLDER
      default_redirection_url: https://AUTHELIA_DOMAIN_PLACEHOLDER

regulation:
  max_retries: 3
  find_time: 2m
  ban_time: 5m

storage:
  local:
    path: /config/db.sqlite3

notifier:
  disable_startup_check: true
  filesystem:
    filename: /config/notification.txt
